gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.FaceT

Contents

- Exported types
- Methods

Description

Data type for holding font faces.

Synopsis

- newtype FaceT = FaceT (ManagedPtr FaceT)

# Exported types

newtype FaceT Source #

Memory-managed wrapper type.

Constructors

FaceT (ManagedPtr FaceT) |

#### Instances

Instances details

Eq FaceT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FaceT Methods (==) :: FaceT -> FaceT -> Bool Source # (/=) :: FaceT -> FaceT -> Bool Source #
GBoxed FaceT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FaceT
ManagedPtrNewtype FaceT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FaceT Methods toManagedPtr :: FaceT -> ManagedPtr FaceT Source #
TypedObject FaceT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FaceT Methods glibType :: IO GType Source #
HasParentTypes FaceT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FaceT
IsGValue (Maybe FaceT) Source # | Convert `FaceT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.FaceT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FaceT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FaceT) Source #
type ParentTypes FaceT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FaceT type ParentTypes FaceT = '[] :: [Type]

# Methods